%define name pclos-gnome-gimpsplash
%define version 1.0
%define release %mkrel 2

Summary:        Gimp-Splash - pclinuxos-gnome
Name:	        %{name}
Version:        %{version}
Release:        %{release}
URL:            http://pclinuxos.com/
Source0:	%{name}-%{version}.tar.bz2
License:	GPL 
Group:          Graphical desktop/GNOME
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch
Requires:	gnome-desktop, gimp 
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version
																				
%description
Custom created gimp-splash exclusively for pclinuxos-gnome version.


%prep

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gimp/2.0/images/splashes
bzip2 -cd %{SOURCE0} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/gimp/2.0/images/splashes
chmod 777 $RPM_BUILD_ROOT/%{_datadir}/gimp/2.0/images/splashes
chmod 777 $RPM_BUILD_ROOT/%{_datadir}/gimp/2.0/images/splashes/splash.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -s /usr/share/gimp/2.0/images/splashes /home/*/.gimp-2.6/

%postun
rm -rf /home/*/.gimp-2.6

%files
%defattr(-,root,root)
%{_datadir}/gimp/2.0/images/splashes

%changelog
* Mon Oct 12 2009 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild

* Fri Apr 10 2009 slick50 <lxgator at gmail.com> 1.0-1pclos2007
- initial pkg

